petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecTaggerSetBlockSize

block size of the set of indices returned by VecTaggerComputeIS(). Values greater than one are useful when there are multiple criteria for determining which indices to include in the set. For example, consider adaptive mesh refinement in a multiphysics problem, with metrics of solution quality for multiple fields measure on each cell. The size of the vector will be [numCells * numFields]; the VecTagger block size should be numFields; VecTaggerComputeIS() will return indices in the range [0,numCells), i.e., one index is given for each block of values.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetBlockSize(VecTagger tagger, PetscInt blocksize)

Note that the block size of the vector does not have to match.

Note also that the index set created in VecTaggerComputeIS() has block size: it is an index set over the list of items that the vector refers to, not to the vector itself.

Logically Collective

### Input Arguments

| tagger | - vec tagger
| blocksize | - block size of the criteria used to tagger vectors

### See Also

VecTaggerComputeIS(), VecTaggerGetBlockSize(), VecSetBlockSize(), VecGetBlockSize()

### Level

advanced

### Location

src/vec/vec/utils/tagger/interface/tagger.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages